diff --git a/dmenu.c b/dmenu.c
index dd2c128..bf26e8a 100644
--- a/dmenu.c
+++ b/dmenu.c
@@ -607,6 +607,12 @@ setup(void) {
 	                    DefaultVisual(dc->dpy, screen),
 	                    CWOverrideRedirect | CWBackPixel | CWEventMask, &swa);
 
+	XClassHint *ch = XAllocClassHint();
+	ch->res_name = "dmenu";
+	ch->res_class = "dmenu";
+	XSetClassHint(dc->dpy, win, ch);
+	XFree(ch);
+
 	/* open input methods */
 	xim = XOpenIM(dc->dpy, NULL, NULL, NULL);
 	xic = XCreateIC(xim, XNInputStyle, XIMPreeditNothing | XIMStatusNothing,
